Bug 13798 - [PATCH] scsi_devicelist additional devices
[PATCH] scsi_devicelist additional devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-12 10:47 EDT by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-26 00:17:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-07-12 10:47:08 EDT
Below is a patch to add several additional devices to the 
scsi_devicelist.  The first three are for Dell storage area network 
products, the last are Sony autoloader tape devices where the tape changer 
is at LUN 1.  Patches to 2.2.17-pre and 2.4.0-test1 are included.

Thanks,
Matt Domsch
Dell Enterprise Systems Group
Linux Development Team


--- linux-2.2.17-pre9/drivers/scsi/scsi.c.orig	Wed Jun 28 11:00:18 2000
+++ linux/drivers/scsi/scsi.c	Wed Jun 28 11:00:52 2000
@@ -308,6 +308,10 @@
 {"iomega","jaz 1GB","J.86", BLIST_NOTQ | BLIST_NOLUN},
 {"TOSHIBA","CDROM","*", BLIST_ISROM},
 {"MegaRAID", "LD", "*", BLIST_FORCELUN},
+{"DGC",  "RAID",      "*", BLIST_SPARSELUN}, // Dell PV 650F (tgt @ LUN 0)
+{"DGC",  "DISK",      "*", BLIST_SPARSELUN}, // Dell PV 650F (no tgt @ 
LUN 0) 
+{"DELL", "PV530F",    "*", BLIST_SPARSELUN}, // Dell PV 530F
+{"SONY", "TSL",       "*", BLIST_FORCELUN},  // DDS3 & DDS4 autoloaders
 /*
  * Must be at end of list...
  */


--- linux-2.4.0-test1-ac18/drivers/scsi/scsi_scan.c.orig	Wed Jul 12 
09:40:01 2000
+++ linux/drivers/scsi/scsi_scan.c	Wed Jul 12 09:40:43 2000
@@ -138,6 +138,10 @@
 	{"iomega", "jaz 1GB", "J.86", BLIST_NOTQ | BLIST_NOLUN},
  	{"TOSHIBA","CDROM","*", BLIST_ISROM},
 	{"MegaRAID", "LD", "*", BLIST_FORCELUN},
+	{"DGC",  "RAID",      "*", BLIST_SPARSELUN}, // Dell PV 650F (tgt 
@ LUN 0)
+	{"DGC",  "DISK",      "*", BLIST_SPARSELUN}, // Dell PV 650F (no 
tgt @ LUN 0) 
+	{"DELL", "PV530F",    "*", BLIST_SPARSELUN}, // Dell PV 530F
+	{"SONY", "TSL",       "*", BLIST_FORCELUN},  // DDS3 & DDS4 
autoloaders
 
 	/*
 	 * Must be at end of list...
Comment 1 Glen Foster 2000-07-18 16:21:56 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 2 Matt Domsch 2000-07-21 15:13:24 EDT
Winston Beta 4 kernel 2.2.16-12 does not include this patch.
Comment 3 Glen Foster 2000-07-21 16:33:05 EDT
This defect has been re-classified as MUST-FIX for Winston Gold-release
Comment 4 Doug Ledford 2000-07-26 00:17:38 EDT
Added in to 2.2.16-17 and later kernels.

Note You need to log in before you can comment on or make changes to this bug.